package cn.techhawk.codes.tester.dao;

import cn.techhawk.codes.coffee.annotations.Mapper;
import cn.techhawk.codes.coffee.annotations.methods.Condition;
import cn.techhawk.codes.coffee.annotations.methods.ConditionGroup;
import cn.techhawk.codes.coffee.annotations.methods.Query;
import cn.techhawk.codes.coffee.annotations.methods.Update;
import cn.techhawk.codes.coffee.enums.Compare;
import cn.techhawk.codes.coffee.enums.ConnectType;
import cn.techhawk.codes.tester.dos.UserQueryAutoDo;
import cn.techhawk.codes.tester.dos.UserQueryDo;
import cn.techhawk.codes.tester.entity.UserEntity;
import com.github.pagehelper.Page;

@Mapper(value = UserEntity.class)
public interface UserDao {
    //    @Query(value = {@Condition("account"), @Condition(value = "status", param = "statuses")}, rightsIgnored = true)
//    Page<UserEntity> findUsers(UserQueryDo queryDo);
//
//    @Query(value = {@Condition(value = "status", placeholder = "'1'")})
//    Page<UserEntity> findUsers1();
//
//    @Query(includes = {"id", "account", "name", "nickName"},
//            value = {@Condition("account"),
//                    @Condition(value = "status", required = false)},
//            conditionGroups = @ConditionGroup(value = {@Condition(value = "name", compare = Compare.fullLike, required = false),
//                    @Condition(value = "nickName", compare = Compare.fullLike, required = false),
//                    @Condition(value = "account", compare = Compare.fullLike, required = false)}, connectType = ConnectType.or))
//    Page<UserEntity> findItems(UserQueryDo queryDO);
//
//    @Query(includes = {"id", "account", "name", "nickName"},
//            value = {@Condition("account"),
//                    @Condition(value = "status", required = false)},
//            conditionGroups = @ConditionGroup(value = {@Condition(value = {"name", "nickName", "account", "status"}, compare = Compare.fullLike, required = false)}))
//    Page<UserEntity> findItems2(UserQueryDo queryDO);
//
//    @Query(includes = {"id", "account", "name", "nickName"},
//            value = {@Condition("account"),
//                    @Condition(value = "status", required = false)},
//            conditionGroups = {@ConditionGroup(value = {@Condition(value = {"name", "nickName", "account", "status"}, compare = Compare.fullLike, required = false)}),
//                    @ConditionGroup(value = {@Condition(value = {"name", "nickName", "account", "status"}, compare = Compare.fullLike, required = false)})})
//    Page<UserEntity> findItems3(UserQueryDo queryDO);
//
//    @Query
//    Page<UserEntity> findUsers4(UserQueryAutoDo queryDo);
//
//    @Query(optionalParams = {"account"})
//    Page<UserEntity> findUsers5(UserQueryAutoDo queryDo);

    @Update(fields = "isDeleted", value = @Condition("id"))
    int updateDeleted(String id, boolean isDeleted);
}
