package cn.techhawk.codes.tester.service;

import cn.techhawk.codes.coffee.annotations.Expose;
import cn.techhawk.codes.coffee.annotations.ExposeMapping;
import cn.techhawk.codes.tester.dos.OrgInsertFO;

@Expose(value = "/org", name = "机构管理", description = "机构管理", tags = {"机构管理", "机构管理"})
public interface OrgService {
    @ExposeMapping(name = "新增机构信息", description = "新增机构信息")
    String insert(OrgInsertFO insertFO);

    @ExposeMapping(name = "更改机构状态", description = "更改机构状态")
    String updateStatus(String id, String status);
}
