package cn.techhawk.codes.tester.service;

import cn.techhawk.codes.coffee.annotations.Expose;
import cn.techhawk.codes.coffee.annotations.ExposeMapping;
import cn.techhawk.codes.tester.dto.UserDTO;

@Expose(value = "/user", name = "用户管理", description = "用户管理", tags = {"用户管理", "测试用户"})
public interface UserService {

    @ExposeMapping(name = "新增用户", description = "新增用户")
    String insert(UserDTO userDTO);

    @ExposeMapping(name = "更改机构状态", description = "更改机构状态")
    String updateStatus(String id, String status);
    //    @ExposeMapping(name = "更新用户", description = "更新用户")
//    @Transactional(propagation = Propagation.MANDATORY, value = "value1", label = {"a", "b"}, rollbackFor = Exception.class)
//    String update(UserDTO userDTO);
//
//    int insertBatch(List<UserDTO> userDTOS);
//
////        @ExposeMapping(name = "获取用户信息", description = "获取用户信息")
////    ListResult<UserDTO> getUnRequired(@ExposeParam(required = false, value = "用户Id") String id);
////
//    @ExposeMapping(name = "查询用户列表", description = "查询用户列表")
//    List<UserDTO> update(UserQueryDo userQueryDo);
//
//    @ExposeMapping(name = "查询用户信息", description = "查询用户信息")
//    SingleResult<UserDTO> getByAccount(String account, String orgId);
//
//
//    @ExposeMapping(name = "查询用户信息", description = "查询用户信息")
//    UserDTO getByAccount1(String account, boolean orgId);
//
//    @ExposeMapping(name = "更新用户信息", description = "更新用户信息")
//    UserDTO updateUser(String id, MultipartFile headerImg);
//
//    @ExposeMapping(name = "查询用户信息", requestType = RequestType.form, description = "查询用户信息")
//    UserDTO getByAccountForm(String account, String orgId);
//
//    @ExposeMapping(name = "查询用户信息", requestType = RequestType.json, description = "查询用户信息")
//    UserDTO getByAccountJSON(String account);
//
//    @ExposeMapping(name = "查询用户信息", requestType = RequestType.json, description = "查询用户信息")
//    void getByAccountVoid(String account);
//requestType = RequestType.json,
//    @ExposeMapping(name = "查询用户信息", description = "查询用户信息")
//    int countByAccount(String account);
}
