package cn.techhawk.codes.tester.dto;

import cn.techhawk.codes.coffee.mybatisx.table.Column;
import cn.techhawk.codes.coffee.mybatisx.table.Id;
import cn.techhawk.codes.coffee.mybatisx.table.IdType;
import cn.techhawk.codes.coffee.mybatisx.table.Meaning;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class UserDTO {
    @Id(type = IdType.auto)
    @Column(value = "id")
    private String id;
    @Column(value = "name", meaning = Meaning.name)
    private String name;
    @Column(value = "nick_name")
    private String nickName;
    @Column(value = "account")
    private String account;
    @Column(value = "org_id")
    private String orgId;
    @Column(value = "password")
    private String password;
    @Column(value = "sex")
    private String sex;
    @Column(value = "birthday")
    private Date birthday;
    @Column(value = "id_card")
    private String idCard;
    @Column(value = "email")
    private String email;
}
